import {request} from './http'
// 获取到openId
function getopenId(code){
  return request('/duoduo-service/wechat-service/wechat/app/getOpenId','GET',{code:code})
}
// 获取用户电话
function getuserPhone(data){
  return request('/duoduo-service/wechat-service/wechat/app/getUserInfo','GET',data)
}
// 检查用户是否注册
function userCheck(data){
  return request('/server/user/check','GET',data)
}
// 创建用户
function userSave(data){
  return request('/server/user/save','POST',data)
}
// 查询用户
function userQuery(data){
  return request('/server/user/query','POST',data)
}
// 更新用户
function userUpdate(data){
  return request('/server/user/update','POST',data)
}
// 关注空间
function followRoom(data){
  return request('/server/space/subscribe','POST',data)
}
// 取消关注
function unfollowRoom(data){
  return request('/server/space/unsubscribe','POST',data)
}
// 空间当前状态
function spaceProperty(data){
  return request('/server/custom/spaceProperty','GET',data)
}
// 查询空间温度曲线
function queryChart(data){
  return request('/server/space/queryPeriodData','GET',data)
}
//查询所有空间列表
function queryAllspace(data){
  return request('/server/space/queryAll','POST',data)
}
//查询所有关注列表
function queryFollowspace(data){
  return request('/server/space/querySubscribe','POST',data)
}
// 查询轮播图
function queryRotation(data){
  return request('/server/space/rotation','POST',data)
}
// 查询是否有调节权限
function powerCheck(data){
  return request('/server/custom/check','POST',data)
}
// 下班节能
function workLeave(data){
  return request('/server/custom/leave','POST',data)
}
// 下次开启时间
function nextOpen(data){
  return request('/server/custom/nextOpenTime','POST',data)
}
// 反馈
function getfeedBack(data){
  return request('/server/custom/feedback','POST',data)
}
// 查询空间信息
function getSpacedetail(data){
  return request('/server/space/property','POST',data)
}
// 下班后开启调节
function openSpace(data){
  return request('/server/custom/recover','POST',data)
}
// 查询反馈后设备动作
function getEquipmentAction(data){
  return request('/server/custom/getEquipmentAction','POST',data)
}
module.exports = {
  getopenId:getopenId,
  getuserPhone:getuserPhone,
  userCheck:userCheck,
  userSave:userSave,
  userQuery:userQuery,
  userUpdate:userUpdate,
  followRoom:followRoom,
  unfollowRoom:unfollowRoom,
  spaceProperty:spaceProperty,
  queryChart:queryChart,
  queryAllspace:queryAllspace,
  queryFollowspace:queryFollowspace,
  powerCheck:powerCheck,
  queryRotation:queryRotation,
  workLeave:workLeave,
  nextOpen:nextOpen,
  getfeedBack:getfeedBack,
  getSpacedetail:getSpacedetail,
  openSpace:openSpace,
  getEquipmentAction:getEquipmentAction
}