// pages/projectlist/index.js
import utils from "../../utils/util"
const app = getApp();

Page({

  /**
   * 页面的初始数据
   */
  data: {
    projectList:[],
    tenantId:'',
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    this.setData({tenantId:app.globalData.tenantId})
    let dataCope=JSON.parse(JSON.stringify(app.globalData.tenants));
    dataCope= utils.buildTree(dataCope);
    this.setData({projectList:dataCope});
  },
  chooseTenant(e){
    // console.log(e);
    const value = e.currentTarget.dataset.index;
    if(this.data.tenantId&&this.data.tenantId==value.tenantId){
      return
    }
    wx.setStorage({
      data: value.projectId,
      key: 'projectId',
    })
    wx.setStorage({
      data: value.tenantId,
      key: 'tenantId',
    })
    wx.setStorage({
      data: value.tenantName,
      key: 'tenantName',
    })
    this.setData({tenantId:value.tenantId});
    app.globalData.projectId = value.projectId;
    app.globalData.tenantId =value.tenantId;
    app.globalData.tenantName = value.tenantName;
    let pages = getCurrentPages(); 
    let prevPage = pages[ pages.length - 2 ];
    prevPage.setData({  // 将我们想要传递的参数在这里直接setData。上个页面就会执行这里的操作。
      formList:true,
      swiperCurrent:0
    })
    
    wx.navigateBack({
      delta: 1  // 返回上一级页面。
    })
    // wx.redirectTo({
    //   url: '../index/index',
    // })
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})